Bug 72901 - Mouse & Keyboard dead after boot - Not 64224
Mouse & Keyboard dead after boot - Not 64224
Product: Red Hat Public Beta
Classification: Retired
Component: grub (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-08-28 17:50 EDT by Roger Abrams
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-04 17:11:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Found problem. Please close. (354 bytes, text/plain)
2002-09-16 14:56 EDT, Roger Abrams
no flags Details

  None (edit)
Description Roger Abrams 2002-08-28 17:50:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)

Description of problem:
Installed null on IBM Xserver 232, legacy keyboard & mouse. When boot process starts both are dead. Can't change grub or lilo selections (tried both), can't login or move mouse cursor after boot complete. Changed run level to 3, booted to command line. Same behavior. If I boot from the rescue floppy, everything works fine. Unlike 64224 this doesn't seem to be dependent on X.  I saw the messages initializing USB mouse/keyboard (which I don't have) so I ssh'ed into the box and commented the USB stuff out of rc.sysinit but that didn't help. 

I don't know what comes off the floppy when I boot from the rescue diskette but there's either a difference in the kernel or in the init scripts that makes the difference.  On the hard disk booted system it seems to be looking for mouse/keyboard input in the wrong place. 

I'll do whatever I can to help track this one down.  I looked through the boot.log files and didn't see anything interesting. Would they help? Anything from /proc? 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install null on my X232 smp server.
2.Boot from hard disk after install complete.


Actual Results:  Mouse and keyboard are dead for GRUB/LILO and stay dead after the boot process completes.

Expected Results:  usable system.

Additional info:

XServer 232, 256M ram, 2x8GB SCSI disks, dual PIII 1.266 ghz processors, legacy mouse & keyboard, token ring, no USB devices.
Comment 1 Michael Fulbright 2002-08-29 12:19:15 EDT
This does not sound like an anaconda issue since the system was installed.

GRUB and LILO are running on the system before Linux boots and use only BIOS
calls.  So it isn't a kernel issue.

It seems to be an interaction of your hardware and the bootloader UI.
Comment 2 Roger Abrams 2002-09-16 14:56:56 EDT
Created attachment 76264 [details]
Found problem. Please close.

Note You need to log in before you can comment on or make changes to this bug.